
package presentacion;

import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.List;


public class InvocacionCargaProvincias {
       private List<ActionListener> listaListeners = new ArrayList();

    public InvocacionCargaProvincias() {
    }
    
    public void addEventoCargaProvinciasListener(ActionListener actionListener) {
        listaListeners.add(actionListener);    
    }
    
    
    public void removeEventoCargaProvinciasListener(ActionListener actionListener) {
        listaListeners.add(actionListener);    
    }   
    
    
    public void fireEventoCargaProvincias(String command) {
        
        for (int i=0; i<listaListeners.size(); i++) {
            listaListeners.get(i).actionPerformed(new EventoCargaProvincias(this, 1, command));      
        }
    }       
}
